#!/usr/bin/python
#
# This file is part of pysimpledb.
# 
# pysimpledb is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# pysimpledb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public License
# along with pysimpledb.  If not, see <http://www.gnu.org/licenses/>.
#
#      Author Daniel Mikusa <dan@mikusa.com>
#   Copyright Daniel Mikusa 2008
#
from distutils.core import setup

setup(
    name='pysimpledb',
    version='2.1',
    description='A simple and light weight way to access your database',
    author='Daniel Mikusa',
    author_email='dan@mikusa.com',
    url='http://www.mikusa.com/pysimpledb/',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: SQL',
        'Topic :: Database',
        'Topic :: Utilities'
    ],
    long_description="""pysimpledb is a tool aimed at removing the tedium of interacting with a database.  It provides a thin layer on top of the DB-API that removes as much of the standard boiler-plate code as possible.  Please see the project website for examples on how pysimpledb help you!""",
    package_dir={'': 'src'},
    packages=['pysimpledb']
)

